## org.eclipse.emf.ecore.xmi
Interface XMLOptions

All Known Implementing Classes:
  XMLOptionsImpl

    public interface XMLOptions

This interface allows user specify various XML deserialization and serialization options

Method Summary
`EcoreBuilder` `getEcoreBuilder()`
`java.util.Map<java.lang.String,URI>` `getExternalSchemaLocations()`
`boolean` `isProcessAnyXML()`
`boolean` `isProcessSchemaLocations()`
`void` `setEcoreBuilder(EcoreBuilder ecoreBuilder)` This option allows the user to specify implementation of `EcoreBuilder` that will be used to process schema locations to build Ecore dynamically.
`void` `setExternalSchemaLocations(java.util.Map<java.lang.String,URI> schemaLocations)` The XML Schema Recommendation explicitly states that the inclusion of schemaLocation/noNamespaceSchemaLocation attributes is only a hint; it does not mandate that these attributes must be used to locate schemas.
`void` `setProcessAnyXML(boolean processAnyXML)` This options allows the user to load and deserialize arbitrary XML (i.e.
`void` `setProcessSchemaLocations(boolean processSchemaLocations)` This options allows the user to specify that the schemaLocation/noNamespaceSchemaLocation attributes occurring in the instance document will be processed to convert XSD(s) to Ecore file(s).

Method Detail

### setProcessAnyXML

    void setProcessAnyXML(boolean processAnyXML)

  This options allows the user to load and deserialize arbitrary XML (i.e. XML for which schema is not specified). The default is `false`, unless set to `true` explicitly. To process schemaLocation/noNamespaceSchemaLocation attributes, user have to set `setProcessSchemaLocations(boolean)` to `true`.

  Parameters:
    `processAnyXML` - whether to process arbitrary XML.
  See Also:
    `XMLResource.getEObjectToExtensionMap()`

### isProcessAnyXML

    boolean isProcessAnyXML()

  Returns:
    processAnyXML value

### setEcoreBuilder

    void setEcoreBuilder(EcoreBuilder ecoreBuilder)

  This option allows the user to specify implementation of `EcoreBuilder` that will be used to process schema locations to build Ecore dynamically. If this option is not set and either `getExternalSchemaLocations()` is set or `isProcessSchemaLocations()` returns `true` default `EcoreBuilder` will be created.

  See Also:
    `EcoreBuilder`

### getEcoreBuilder

    EcoreBuilder getEcoreBuilder()

  Returns:
    EcoreBuilder
  See Also:
    `EcoreBuilder`

### setExternalSchemaLocations

    void setExternalSchemaLocations(java.util.Map<java.lang.String,URI> schemaLocations)

  The XML Schema Recommendation explicitly states that the inclusion of schemaLocation/noNamespaceSchemaLocation attributes is only a hint; it does not mandate that these attributes must be used to locate schemas. This option allows the user to specify schemas to use. If the targetNamespace of a schema (specified using this property) matches the targetNamespace of a schema occurring in the instance document in schemaLocation attribute, the schema specified by the user using this property will be used (i.e., the schemaLocation attribute in the instance document).

  Parameters:
    `schemaLocations` - - map of target namespace to schema location of type `URI`

### getExternalSchemaLocations

    java.util.Map<java.lang.String,URI> getExternalSchemaLocations()

  Returns:
    external schema locations

### setProcessSchemaLocations

    void setProcessSchemaLocations(boolean processSchemaLocations)

  This options allows the user to specify that the schemaLocation/noNamespaceSchemaLocation attributes occurring in the instance document will be processed to convert XSD(s) to Ecore file(s). If this option is specified together with externalSchemaLocation option, the schemas specified in externalSchemaLocation will take precedence.

  Parameters:
    `processSchemaLocations` -

### isProcessSchemaLocations

    boolean isProcessSchemaLocations()

  Returns:
    processSchemaLocations

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.